Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLTableElementImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.ElementImpl
                      weblogic.apache.html.dom.HTMLElementImpl
                          weblogic.apache.html.dom.HTMLTableElementImpl

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLTableElement, Node, NodeList

Deprecated. 9.2.0.0 Replaced by org.apache.html.dom.HTMLTableElementImpl.

    public class HTMLTableElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLTableElement

See Also:
  `HTMLAnchorElement`, `ElementImpl`, Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLTableElementImpl(HTMLDocumentImpl owner, String name)` Deprecated. Constructor requires owner document.

Method Summary
`org.w3c.dom.html.HTMLElement` | `createCaption()` Deprecated.
`org.w3c.dom.html.HTMLElement` | `createTFoot()` Deprecated.
`org.w3c.dom.html.HTMLElement` | `createTHead()` Deprecated.
`void` | `deleteCaption()` Deprecated.
`void` | `deleteRow(int index)` Deprecated.
`void` | `deleteTFoot()` Deprecated.
`void` | `deleteTHead()` Deprecated.
`String` | `getAlign()` Deprecated.
`String` | `getBgColor()` Deprecated.
`String` | `getBorder()` Deprecated.
`org.w3c.dom.html.HTMLTableCaptionElement` | `getCaption()` Deprecated.
`String` | `getCellPadding()` Deprecated.
`String` | `getCellSpacing()` Deprecated.
`String` | `getFrame()` Deprecated.
`org.w3c.dom.html.HTMLCollection` | `getRows()` Deprecated.
`String` | `getRules()` Deprecated.
`String` | `getSummary()` Deprecated.
`org.w3c.dom.html.HTMLCollection` | `getTBodies()` Deprecated.
`org.w3c.dom.html.HTMLTableSectionElement` | `getTFoot()` Deprecated.
`org.w3c.dom.html.HTMLTableSectionElement` | `getTHead()` Deprecated.
`String` | `getWidth()` Deprecated.
`org.w3c.dom.html.HTMLElement` | `insertRow(int index)` Deprecated.
`void` | `setAlign(String align)` Deprecated.
`void` | `setBgColor(String bgColor)` Deprecated.
`void` | `setBorder(String border)` Deprecated.
`void` | `setCaption(org.w3c.dom.html.HTMLTableCaptionElement caption)` Deprecated.
`void` | `setCellPadding(String cellPadding)` Deprecated.
`void` | `setCellSpacing(String cellSpacing)` Deprecated.
`void` | `setFrame(String frame)` Deprecated.
`void` | `setRules(String rules)` Deprecated.
`void` | `setSummary(String summary)` Deprecated.
`void` | `setTFoot(org.w3c.dom.html.HTMLTableSectionElement tFoot)` Deprecated.
`void` | `setTHead(org.w3c.dom.html.HTMLTableSectionElement tHead)` Deprecated.
`void` | `setWidth(String width)` Deprecated.

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`cloneNode, getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getInterface, getLocalName, getNamespaceURI, getNodeName, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLTableElementImpl

    public HTMLTableElementImpl(HTMLDocumentImpl owner,
                                String name)

  Deprecated.
  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getCaption

    public org.w3c.dom.html.HTMLTableCaptionElement getCaption()

  Deprecated.
  Specified by:
    `getCaption` in interface `org.w3c.dom.html.HTMLTableElement`

### setCaption

    public void setCaption(org.w3c.dom.html.HTMLTableCaptionElement caption)

  Deprecated.
  Specified by:
    `setCaption` in interface `org.w3c.dom.html.HTMLTableElement`

### createCaption

    public org.w3c.dom.html.HTMLElement createCaption()

  Deprecated.
  Specified by:
    `createCaption` in interface `org.w3c.dom.html.HTMLTableElement`

### deleteCaption

    public void deleteCaption()

  Deprecated.
  Specified by:
    `deleteCaption` in interface `org.w3c.dom.html.HTMLTableElement`

### getTHead

    public org.w3c.dom.html.HTMLTableSectionElement getTHead()

  Deprecated.
  Specified by:
    `getTHead` in interface `org.w3c.dom.html.HTMLTableElement`

### setTHead

    public void setTHead(org.w3c.dom.html.HTMLTableSectionElement tHead)

  Deprecated.
  Specified by:
    `setTHead` in interface `org.w3c.dom.html.HTMLTableElement`

### createTHead

    public org.w3c.dom.html.HTMLElement createTHead()

  Deprecated.
  Specified by:
    `createTHead` in interface `org.w3c.dom.html.HTMLTableElement`

### deleteTHead

    public void deleteTHead()

  Deprecated.
  Specified by:
    `deleteTHead` in interface `org.w3c.dom.html.HTMLTableElement`

### getTFoot

    public org.w3c.dom.html.HTMLTableSectionElement getTFoot()

  Deprecated.
  Specified by:
    `getTFoot` in interface `org.w3c.dom.html.HTMLTableElement`

### setTFoot

    public void setTFoot(org.w3c.dom.html.HTMLTableSectionElement tFoot)

  Deprecated.
  Specified by:
    `setTFoot` in interface `org.w3c.dom.html.HTMLTableElement`

### createTFoot

    public org.w3c.dom.html.HTMLElement createTFoot()

  Deprecated.
  Specified by:
    `createTFoot` in interface `org.w3c.dom.html.HTMLTableElement`

### deleteTFoot

    public void deleteTFoot()

  Deprecated.
  Specified by:
    `deleteTFoot` in interface `org.w3c.dom.html.HTMLTableElement`

### getRows

    public org.w3c.dom.html.HTMLCollection getRows()

  Deprecated.
  Specified by:
    `getRows` in interface `org.w3c.dom.html.HTMLTableElement`

### getTBodies

    public org.w3c.dom.html.HTMLCollection getTBodies()

  Deprecated.
  Specified by:
    `getTBodies` in interface `org.w3c.dom.html.HTMLTableElement`

### getAlign

    public String getAlign()

  Deprecated.
  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLTableElement`

### setAlign

    public void setAlign(String align)

  Deprecated.
  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLTableElement`

### getBgColor

    public String getBgColor()

  Deprecated.
  Specified by:
    `getBgColor` in interface `org.w3c.dom.html.HTMLTableElement`

### setBgColor

    public void setBgColor(String bgColor)

  Deprecated.
  Specified by:
    `setBgColor` in interface `org.w3c.dom.html.HTMLTableElement`

### getBorder

    public String getBorder()

  Deprecated.
  Specified by:
    `getBorder` in interface `org.w3c.dom.html.HTMLTableElement`

### setBorder

    public void setBorder(String border)

  Deprecated.
  Specified by:
    `setBorder` in interface `org.w3c.dom.html.HTMLTableElement`

### getCellPadding

    public String getCellPadding()

  Deprecated.
  Specified by:
    `getCellPadding` in interface `org.w3c.dom.html.HTMLTableElement`

### setCellPadding

    public void setCellPadding(String cellPadding)

  Deprecated.
  Specified by:
    `setCellPadding` in interface `org.w3c.dom.html.HTMLTableElement`

### getCellSpacing

    public String getCellSpacing()

  Deprecated.
  Specified by:
    `getCellSpacing` in interface `org.w3c.dom.html.HTMLTableElement`

### setCellSpacing

    public void setCellSpacing(String cellSpacing)

  Deprecated.
  Specified by:
    `setCellSpacing` in interface `org.w3c.dom.html.HTMLTableElement`

### getFrame

    public String getFrame()

  Deprecated.
  Specified by:
    `getFrame` in interface `org.w3c.dom.html.HTMLTableElement`

### setFrame

    public void setFrame(String frame)

  Deprecated.
  Specified by:
    `setFrame` in interface `org.w3c.dom.html.HTMLTableElement`

### getRules

    public String getRules()

  Deprecated.
  Specified by:
    `getRules` in interface `org.w3c.dom.html.HTMLTableElement`

### setRules

    public void setRules(String rules)

  Deprecated.
  Specified by:
    `setRules` in interface `org.w3c.dom.html.HTMLTableElement`

### getSummary

    public String getSummary()

  Deprecated.
  Specified by:
    `getSummary` in interface `org.w3c.dom.html.HTMLTableElement`

### setSummary

    public void setSummary(String summary)

  Deprecated.
  Specified by:
    `setSummary` in interface `org.w3c.dom.html.HTMLTableElement`

### getWidth

    public String getWidth()

  Deprecated.
  Specified by:
    `getWidth` in interface `org.w3c.dom.html.HTMLTableElement`

### setWidth

    public void setWidth(String width)

  Deprecated.
  Specified by:
    `setWidth` in interface `org.w3c.dom.html.HTMLTableElement`

### insertRow

    public org.w3c.dom.html.HTMLElement insertRow(int index)

  Deprecated.
  Specified by:
    `insertRow` in interface `org.w3c.dom.html.HTMLTableElement`

### deleteRow

    public void deleteRow(int index)

  Deprecated.
  Specified by:
    `deleteRow` in interface `org.w3c.dom.html.HTMLTableElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD